GraphicsSetLineType (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.afp.goca

## Class GraphicsSetLineType

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder
    - - org.apache.fop.afp.goca.GraphicsSetLineType

- All Implemented Interfaces:
    Streamable, StructuredData

      public class GraphicsSetLineType
      extends AbstractGraphicsDrawingOrder

  Sets the value of the current line type attribute when stroking GOCA shapes (structured fields)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `DASH_DOT` dashed dotted line type
    `static byte` | `DASH_DOUBLE_DOTTED` dash double dotted line type
    `static byte` | `DEFAULT` the default line type
    `static byte` | `DOTTED` the default line type
    `static byte` | `DOUBLE_DOTTED` double dotted line type
    `static byte` | `INVISIBLE` invisible line type
    `static byte` | `LONG_DASHED` long dashed line type
    `static byte` | `SHORT_DASHED` short dashed line type
    `static byte` | `SOLID` solid line type

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphicsSetLineType(byte type)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataLength()` Returns the data length of this structured field
    `java.lang.String` | `toString()`
    `void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

    - ### Methods inherited from class org.apache.fop.afp.goca.AbstractGraphicsDrawingOrder

      `getName`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, copySF, truncate, writeChunksToStream, writeObjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final byte DEFAULT

      the default line type
      See Also:
        Constant Field Values

    - #### DOTTED

          public static final byte DOTTED

      the default line type
      See Also:
        Constant Field Values

    - #### SHORT_DASHED

          public static final byte SHORT_DASHED

      short dashed line type
      See Also:
        Constant Field Values

    - #### DASH_DOT

          public static final byte DASH_DOT

      dashed dotted line type
      See Also:
        Constant Field Values

    - #### DOUBLE_DOTTED

          public static final byte DOUBLE_DOTTED

      double dotted line type
      See Also:
        Constant Field Values

    - #### LONG_DASHED

          public static final byte LONG_DASHED

      long dashed line type
      See Also:
        Constant Field Values

    - #### DASH_DOUBLE_DOTTED

          public static final byte DASH_DOUBLE_DOTTED

      dash double dotted line type
      See Also:
        Constant Field Values

    - #### SOLID

          public static final byte SOLID

      solid line type
      See Also:
        Constant Field Values

    - #### INVISIBLE

          public static final byte INVISIBLE

      invisible line type
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GraphicsSetLineType

          public GraphicsSetLineType(byte type)

      Main constructor
      Parameters:
        `type` - line type

  - ### Method Detail

    - #### getDataLength

          public int getDataLength()

      Returns the data length of this structured field
      Returns:
        the data length of this structured field

    - #### writeToStream

          public void writeToStream(java.io.OutputStream os)
                             throws java.io.IOException

      DataStream objects must implement the writeToStream() method to write its data to the given OutputStream
      Parameters:
        `os` - the outputsteam stream
      Throws:
        `java.io.IOException` - an I/O exception of some sort has occurred.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.